/****************************************************************************************************

		I3DShPhysicsEngine.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	charles
		Date:	7/21/2006

****************************************************************************************************/

#ifndef __I3DShPhysicsEngine__
#define __I3DShPhysicsEngine__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "APITypes.h"
#include "IExtension.h"
#include "InterfaceIDs.h"


//****** Family Id *************************************************

const FourCharT kPhysicsEngineFamilyID = kRID_PhysicsEngineFamilyID;

//****** Globally Unique Ids *************************************************

MCDEFINE_GUID_H(IID_I3DShPhysicsEngine); 


struct I3DShPhysicsEngine : public IMCUnknown
{
	virtual void MCCOMAPI SetTreeRoot(I3DShTreeElement* tree,I3DShScene* scene)=0;

	virtual void MCCOMAPI GetEngineForces(TMCPtrArray<I3DShTreeElement>& forces) = 0;
};


#endif

