/****************************************************************************************************

		KwakPublicAPIMainHeaders.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Pierre-Sylvain Desse
		Date:	4/8/2005

****************************************************************************************************/

#ifndef __KwakPublicAPIMainHeaders__
#define __KwakPublicAPIMainHeaders__

#if CP_PRAGMA_ONCE
#pragma once
#endif


// Frameworks
#include "MCCorePublicAPIMainHeaders.h"
#include "MCUtilsPublicAPIMainHeaders.h"
#include "MCFPublicAPIMainHeaders.h"
#include "ComSupportPublicAPIMainHeaders.h"


// Kwak
//#include "3DConstants.h"
//#include "3DPublicDefs.h"
//#include "3DViewPublicDefs.h"
//#include "Accumulator.h"
//#include "AnimUtilities.h"
//#include "APITypes.h"
//#include "Basic3DCOMImplementations.h"
//#include "Basic3DGUID.h"
//#include "Basic3DImportExport.h"
//#include "BasicCameraLightGel.h"
//#include "BasicDataComponent.h"
//#include "BasicDistantLight.h"
//#include "BasicEnvironment.h"
//#include "BasicFinalRenderer.h"
//#include "BasicGenericData.h"
//#include "BasicModifiers.h"
//#include "BasicModule.h"
//#include "BasicPostRenderer.h"
//#include "BasicPrimitive.h"
//#include "BasicPropertiesClient.h"
//#include "BasicRenderables.h"
//#include "BasicRendererBox.h"
//#include "BasicRenderFeature.h"
//#include "BasicShader.h"
//#include "BasicTerrainFilter.h"
//#include "BasicVolumetricCloudsShape.h"
//#include "BasicVolumetricEffect.h"
//#include "BasicWireframe.h"
//#include "BasicWireframeSet.h"
//#include "BonesUtilities.h"
//#include "CarraraResStreamUtil.h"
//#include "CarraraStatusCode.h"
#include "COM3DUtilities.h"
//#include "Copyright.h"
//#include "CountedRenderable.h"
//#include "CountedRenderingCallback.h"
//#include "Doxygen.h"
//#include "EnvironmentDefs.h"
//#include "HierarchyPublicDefs.h"
//#include "I3DEditorHostPart.h"
//#include "I3DEditorHostPartDefs.h"
//#include "I3dExAnimation.h"
//#include "I3dExAnimationMethod.h"
//#include "I3dExCamera.h"
//#include "I3dExConstraint.h"
//#include "I3dExEnvironment.h"
//#include "I3dExFinalRenderer.h"
//#include "I3dExForce.h"
//#include "I3dExGel.h"
//#include "I3DExGenericData.h"
//#include "I3dExImportExport.h"
//#include "I3dExInstancePrimitive.h"
//#include "I3dExInteractiveRenderer.h"
//#include "I3dExLight.h"
//#include "I3dExMiniModeler.h"
//#include "I3dExModifier.h"
//#include "I3dExModule.h"
//#include "I3dExPostRenderer.h"
//#include "I3dExPrimitive.h"
//#include "I3DExRemoteCommand.h"
//#include "I3DExRendererBox.h"
//#include "I3dExRenderFeature.h"
//#include "I3dExSceneCommand.h"
//#include "I3dExShader.h"
//#include "I3DExShaderPreviewPart.h"
//#include "I3DExShaderTransform.h"
//#include "I3dExSkinable.h"
//#include "I3DExTerrainFilter.h"
//#include "I3DExVolumetricCloudsShape.h"
//#include "I3DExTimeDependentPrimitive.h"
//#include "I3dExTweener.h"
//#include "I3DExVertex.h"
//#include "I3DExVertexPrimitive.h"
//#include "I3DExVolumetricEffect.h"
//#include "I3DImageDocument.h"
//#include "I3DParticleEmitter.h"
//#include "I3DRenderHelper.h"
//#include "I3DRenderingModule.h"
//#include "I3dShAnimation.h"
//#include "I3dShAnimationMethod.h"
//#include "I3dShCamera.h"
//#include "I3DShComponentOwner.h"
//#include "I3dShConstraint.h"
//#include "I3dShEnvironment.h"
//#include "I3dShFacetMesh.h"
//#include "I3DShFacetMeshGenerator.h"
//#include "I3dShGel.h"
//#include "I3DShGroup.h"
//#include "I3DShInstance.h"
//#include "I3DShInvisibleTree.h"
//#include "I3DShJoint.h"
//#include "I3DShKeyFrame.h"
//#include "I3DShLightSource.h"
//#include "I3DShMaster.h"
//#include "I3DShMasterGroup.h"
//#include "I3dShModifier.h"
//#include "I3dShModule.h"
//#include "I3dShObject.h"
//#include "I3dShPostRenderer.h"
//#include "I3DShRenderable.h"
//#include "I3dShRenderFeature.h"
//#include "I3dShScene.h"
//#include "I3DShShadableTree.h"
//#include "I3DShShader.h"
//#include "I3DShSoundtrack.h"
//#include "I3DShTerrainFilter.h"
//#include "I3DShVolumetricCloudsShape.h"
//#include "I3dShTreeElement.h"
//#include "I3DShTweener.h"
//#include "I3dShUtilities.h"
//#include "I3DViewModule.h"
//#include "I3dWireFrame.h"
//#include "I3DWireFrameSet.h"
//#include "ICompChooserWithWireFrame.h"
//#include "IComponentAnim.h"
//#include "IEdge.h"
//#include "IEditTimePart.h"
//#include "IEx3DEditorHostPart.h"
//#include "IExNativeFileFormat.h"
//#include "IMorphArea.h"
//#include "Index.h"
//#include "InstancePath.h"
//#include "InteractiveRenderDefs.h"
//#include "InterfaceIDs.h"
//#include "IPolygon.h"
//#include "IPolymesh.h"
//#include "IPostRendererPreviewPart.h"
//#include "IPostRenderPreview.h"
//#include "IPreviewMaker.h"
//#include "IPropertiesModule.h"
//#include "ISceneDocument.h"
//#include "IScenePreviewPart.h"
//#include "ISceneSelection.h"
//#include "ISelectableObject.h"
//#include "IShTextureMap.h"
//#include "ITextureMapPart.h"
//#include "IWorkingBox.h"
//#include "IWorkingPlanesControl.h"
//#include "NameUtilities.h"
//#include "PMapTypes3D.h"
#include "PublicUtilities.h"
//#include "RenderTypes.h"
//#include "RoomSwitcherDefs.h"
//#include "ShaderDefs.h"
//#include "ShaderTypes.h"
//#include "ShadowUtils.h"
//#include "ShellDragDrop.h"
//#include "ShellMessages.h"
//#include "SkiningTypes.h"
//#include "TBBox.h"
//#include "Transforms.h"
//#include "Transform2D.h"
//#include "TreeChanges.h"
//#include "TreeTypes.h"
//#include "UVMaps.h"
//#include "UVMethods.h"
//#include "VMTypes.h"
//#include "WireFrameInfo.h"
//#include "WireFrameState.h"
//#include "WizardFamilyIDs.h"


#endif
